# $Revision: 1.8 $, $Date: 2004/12/11 00:01:41 $
Summary:	Small library to encapsulate data in an encrypted structure
Summary(pl):	Maa biblioteka do hermetyzacji danych w zaszyfrowanej strukturze
Name:		libgringotts
Version:	1.2.1
Release:	4
License:	GPL
Group:		Libraries
Source0:	http://devel.pluto.linux.it/projects/libGringotts/current/%{name}-%{version}.tar.bz2
# Source0-md5:	ccea1078679d79c924842fad40de4102
URL:		http://devel.pluto.linux.it/projects/libGringotts/index.php
BuildRequires:	automake
BuildRequires:	bzip2-devel
BuildRequires:	libmcrypt-devel
BuildRequires:	mhash-devel
BuildRequires:	zlib-devel
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
libGringotts is a thread-safe C library that allows the programmer to
save data in a particular file format. The data are compressed and
encrypted with a strong encryption algorithm, and saved to the disk in
a secure way. The library gives control over every algorithm involved
in the process, and provides additional security-related utility
functions.

%description -l pl
libGringotts jest bibliotek C nadajc si do uytku w programach
wielowtkowych, ktra pozwala na zapisywanie danych w konkretnych
formatach plikw. Dane s kompresowane, szyfrowane silnym algorytmem
i zapisywane na dysku w bezpieczny sposb. Biblioteka ta daje kontrol
nad kadym uytym algorytmem i udostpnia dodatkowe, bezpieczne
funkcje uytkowe.

%package devel
Summary:	Headers for libgringotts
Summary(pl):	Pliki nagwkowe libgringotts
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}

%description devel
Files needed to develop applications with libGringotts.

%description devel -l pl
Pliki potrzebne do tworzenia aplikacji uywajcych libGringotts.

%package static
Summary:	Static version of libgringotts
Summary(pl):	Statyczna wersja libgringotts
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}
Requires:	bzip2-devel
Requires:	libmcrypt-devel
Requires:	mhash-devel
Requires:	zlib-devel

%description static
Static version of libgringotts.

%description static -l pl
Statyczna wersja libgringotts.

%prep
%setup -q

%build
cp -f /usr/share/automake/config.* .
%configure

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

ln -sf libgringotts.so.2.0.7 \
	$RPM_BUILD_ROOT%{_libdir}/libgringotts.so

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc AUTHORS README TODO
%attr(755,root,root) %{_libdir}/libgringotts.so.*.*.*

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/lib*.so
%{_libdir}/lib*.la
%{_includedir}/*
%{_pkgconfigdir}/*

%files static
%defattr(644,root,root,755)
%{_libdir}/lib*.a

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: libgringotts.spec,v $
Revision 1.8  2004/12/11 00:01:41  ankry
- rel. 4

Revision 1.7  2004/05/30 20:37:42  qboosh
- fixed build on amd64, strict internal deps, -devel deps, release 3

Revision 1.6  2003/05/28 12:59:30  malekith
- massive attack: source-md5

Revision 1.5  2003/05/25 05:49:52  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.4  2003/05/03 18:24:11  radek
- release 2: fixed libgringotts.so symlink

Revision 1.3  2003/04/29 09:57:46  grzegol
- updated to 1.2.1

Revision 1.2  2003/04/17 11:34:12  qboosh
- pl fix, use relative symlink in same directory

Revision 1.1  2003/04/16 21:05:30  grzegol
- new
